#include <iostream>
#include <string>

using namespace std;

int main()
{
    string slova, c1, c2;
    int brSlova1, brSlova2;
    cin >> slova;
    cin >> brSlova1 >> brSlova2;
    c1 = slova[0];
    c2 = slova[1];

    if (abs(brSlova1 - brSlova2) >= 2) {
        cout << "nemoguce";
    }
    else {
        string izlaz;
        for (int i = 0; i < brSlova1 + brSlova2; i++) {
            if (i % 2 == 0) {
                izlaz += c1;
            }
            else {
                izlaz += c2;
            }
        }
        cout << izlaz;
    }

    return 0;
}